﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ConsoleTestMySQLEF6
{
    public class Person
    {
        public int PersonId { get; set; }
        [Required]
        public string LastName { get; set; }
        [Required]
        public string FirstName { get; set; }
        public DateTime BirthDate { get; set; }
        public virtual List<Phone> Phones { get; set; }
    }

    public class Phone
    {
        public int PhoneId { get; set; }
        public string Type { get; set; }
        public string Number { get; set; }
    } 
}
